//
//  File.swift
//  
//
//  Created by Divyesh Vekariya on 17/01/24.
//

import Foundation

#if canImport(AppKit) && !targetEnvironment(macCatalyst)
import AppKit

/**
This typealias bridges platform-specific font metrics to
simplify multi-platform support.

For AppKit, we use NSFont directly as NSFontMetrics is not available.
The typealias also defines additional functionality as type
extensions for the platform-specific types.
*/
public typealias FontMetricsRepresentable = NSFont
#endif

#if canImport(UIKit)
import UIKit

/**
This typealias bridges platform-specific font metrics to
simplify multi-platform support.

The typealias also defines additional functionality as type
extensions for the platform-specific types.
*/
public typealias FontMetricsRepresentable = UIFontMetrics
#endif
